| libusb 1.0.24 A cross-platform user library to access USB devices

Data Fields
libusb_bos_descriptor Struct Reference
USB descriptors

A structure representing the Binary Device Object Store (BOS) descriptor. More...

`#include <libusb.h>`

## Data Fields
uint8_t | bLength
| Size of this descriptor (in bytes)
uint8_t | bDescriptorType
| Descriptor type. More...
uint16_t | wTotalLength
| Length of this descriptor and all of its sub descriptors.
uint8_t | bNumDeviceCaps
| The number of separate device capability descriptors in the BOS.
struct libusb_bos_dev_capability_descriptor * | dev_capability [ZERO_SIZED_ARRAY]
| bNumDeviceCap Device Capability Descriptors

## Detailed Description

A structure representing the Binary Device Object Store (BOS) descriptor.

This descriptor is documented in section 9.6.2 of the USB 3.0 specification. All multiple-byte fields are represented in host-endian format.

## Field Documentation

## ◆ bDescriptorType

uint8_t libusb_bos_descriptor::bDescriptorType

Descriptor type.

Will have value libusb_descriptor_type::LIBUSB_DT_BOS LIBUSB_DT_BOS in this context.

The documentation for this struct was generated from the following file:

- libusb.h